# SignatureDSA (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.signature
Class SignatureDSA

    java.lang.Object
      net.schmizz.sshj.signature.AbstractSignature
          net.schmizz.sshj.signature.SignatureDSA

All Implemented Interfaces:
  Signature

    public class SignatureDSA

extends AbstractSignature

DSA `Signature`

Nested Class Summary
`static class` `SignatureDSA.Factory` A named factory for DSA signature

Field Summary

Fields inherited from class net.schmizz.sshj.signature.AbstractSignature
`algorithm, signature`

Constructor Summary
`SignatureDSA()`

Method Summary
`byte[]` `sign()` Compute the signature.
`boolean` `verify(byte[] sig)` Verify against the given signature.

Methods inherited from class net.schmizz.sshj.signature.AbstractSignature
`extractSig, init, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureDSA

    public SignatureDSA()

Method Detail

### sign

    public byte[] sign()

  Description copied from interface: `Signature`
  Compute the signature.

  Returns:
    the computed signature

### verify

    public boolean verify(byte[] sig)

  Description copied from interface: `Signature`
  Verify against the given signature.

  Parameters:
    `sig` - the signature to verify against
  Returns:
    `true` on successful verification, `false` on failure

Copyright © 2009-2011. All Rights Reserved.